Index: uspace/drv/hid/usbhid/kbd/kbddev.c
===================================================================
--- uspace/drv/hid/usbhid/kbd/kbddev.c	(revision 91173333ffad8030d872b4bac54acc3311e9e3c1)
+++ uspace/drv/hid/usbhid/kbd/kbddev.c	(revision 9ff99e84ceb43ab4c2a41ccfce682c462117c5cf)
@@ -185,8 +185,8 @@
 		if (kbd_dev->client_sess == NULL) {
 			kbd_dev->client_sess = sess;
-			usb_log_debug("%s: OK\n", __FUNCTION__);
+			usb_log_debug("%s: OK", __FUNCTION__);
 			async_answer_0(icallid, EOK);
 		} else {
-			usb_log_error("%s: console session already set\n",
+			usb_log_error("%s: console session already set",
 			   __FUNCTION__);
 			async_answer_0(icallid, ELIMIT);
@@ -195,5 +195,5 @@
 	}
 	default:
-			usb_log_error("%s: Unknown method: %d.\n",
+			usb_log_error("%s: Unknown method: %d.",
 			    __FUNCTION__, (int) method);
 			async_answer_0(icallid, EINVAL);
@@ -226,5 +226,5 @@
 	/* Reset the LED data. */
 	memset(kbd_dev->led_data, 0, kbd_dev->led_output_size * sizeof(int32_t));
-	usb_log_debug("Creating output report:\n");
+	usb_log_debug("Creating output report:");
 
 	usb_hid_report_field_t *field = usb_hid_report_get_sibling(
@@ -266,5 +266,5 @@
 	}
 
-	usb_log_debug("Output report buffer: %s\n",
+	usb_log_debug("Output report buffer: %s",
 	    usb_debug_str_buffer(kbd_dev->output_buffer, kbd_dev->output_size,
 	        0));
@@ -276,5 +276,5 @@
 	    kbd_dev->output_buffer, kbd_dev->output_size);
 	if (rc != EOK) {
-		usb_log_warning("Failed to set kbd indicators.\n");
+		usb_log_warning("Failed to set kbd indicators.");
 	}
 }
@@ -289,5 +289,5 @@
 void usb_kbd_push_ev(usb_kbd_t *kbd_dev, int type, unsigned key)
 {
-	usb_log_debug2("Sending kbdev event %d/%d to the console\n", type, key);
+	usb_log_debug2("Sending kbdev event %d/%d to the console", type, key);
 	if (kbd_dev->client_sess == NULL) {
 		usb_log_warning(
@@ -301,5 +301,5 @@
 		async_exchange_end(exch);
 	} else {
-		usb_log_warning("Failed to send key to console.\n");
+		usb_log_warning("Failed to send key to console.");
 	}
 }
@@ -353,5 +353,5 @@
 	    kbd_dev->key_count);
 	if (i != (size_t) -1) {
-		usb_log_error("Detected phantom state.\n");
+		usb_log_error("Detected phantom state.");
 		return;
 	}
@@ -403,5 +403,5 @@
 	ddf_dump_buffer(key_buffer, 512,
 	    kbd_dev->keys_old, 4, kbd_dev->key_count, 0);
-	usb_log_debug2("Stored keys %s.\n", key_buffer);
+	usb_log_debug2("Stored keys %s.", key_buffer);
 }
 
@@ -431,5 +431,5 @@
 	usb_hid_report_path_t *path = usb_hid_report_path();
 	if (path == NULL) {
-		usb_log_error("Failed to create hid/kbd report path.\n");
+		usb_log_error("Failed to create hid/kbd report path.");
 		return;
 	}
@@ -438,5 +438,5 @@
 	   usb_hid_report_path_append_item(path, USB_HIDUT_PAGE_KEYBOARD, 0);
 	if (ret != EOK) {
-		usb_log_error("Failed to append to hid/kbd report path.\n");
+		usb_log_error("Failed to append to hid/kbd report path.");
 		return;
 	}
@@ -452,5 +452,5 @@
 
 	while (field != NULL) {
-		usb_log_debug2("FIELD (%p) - VALUE(%d) USAGE(%u)\n",
+		usb_log_debug2("FIELD (%p) - VALUE(%d) USAGE(%u)",
 		    field, field->value, field->usage);
 
@@ -464,5 +464,5 @@
 			kbd_dev->keys[i] = 0;
 		}
-		usb_log_debug2("Saved %u. key usage %d\n", i, kbd_dev->keys[i]);
+		usb_log_debug2("Saved %u. key usage %d", i, kbd_dev->keys[i]);
 
 		++i;
@@ -502,5 +502,5 @@
 	usb_hid_report_path_t *path = usb_hid_report_path();
 	if (path == NULL) {
-		usb_log_error("Failed to create kbd report path.\n");
+		usb_log_error("Failed to create kbd report path.");
 		usb_kbd_destroy(kbd_dev);
 		return ENOMEM;
@@ -510,5 +510,5 @@
 	    usb_hid_report_path_append_item(path, USB_HIDUT_PAGE_KEYBOARD, 0);
 	if (ret != EOK) {
-		usb_log_error("Failed to append item to kbd report path.\n");
+		usb_log_error("Failed to append item to kbd report path.");
 		usb_hid_report_path_free(path);
 		usb_kbd_destroy(kbd_dev);
@@ -523,9 +523,9 @@
 	usb_hid_report_path_free(path);
 
-	usb_log_debug("Size of the input report: %zu\n", kbd_dev->key_count);
+	usb_log_debug("Size of the input report: %zu", kbd_dev->key_count);
 
 	kbd_dev->keys = calloc(kbd_dev->key_count, sizeof(int32_t));
 	if (kbd_dev->keys == NULL) {
-		usb_log_error("Failed to allocate key buffer.\n");
+		usb_log_error("Failed to allocate key buffer.");
 		usb_kbd_destroy(kbd_dev);
 		return ENOMEM;
@@ -534,5 +534,5 @@
 	kbd_dev->keys_old = calloc(kbd_dev->key_count, sizeof(int32_t));
 	if (kbd_dev->keys_old == NULL) {
-		usb_log_error("Failed to allocate old_key buffer.\n");
+		usb_log_error("Failed to allocate old_key buffer.");
 		usb_kbd_destroy(kbd_dev);
 		return ENOMEM;
@@ -544,14 +544,14 @@
 	    &kbd_dev->output_size, 0);
 	if (kbd_dev->output_buffer == NULL) {
-		usb_log_error("Error creating output report buffer.\n");
+		usb_log_error("Error creating output report buffer.");
 		usb_kbd_destroy(kbd_dev);
 		return ENOMEM;
 	}
 
-	usb_log_debug("Output buffer size: %zu\n", kbd_dev->output_size);
+	usb_log_debug("Output buffer size: %zu", kbd_dev->output_size);
 
 	kbd_dev->led_path = usb_hid_report_path();
 	if (kbd_dev->led_path == NULL) {
-		usb_log_error("Failed to create kbd led report path.\n");
+		usb_log_error("Failed to create kbd led report path.");
 		usb_kbd_destroy(kbd_dev);
 		return ENOMEM;
@@ -561,5 +561,5 @@
 	    kbd_dev->led_path, USB_HIDUT_PAGE_LED, 0);
 	if (ret != EOK) {
-		usb_log_error("Failed to append to kbd/led report path.\n");
+		usb_log_error("Failed to append to kbd/led report path.");
 		usb_kbd_destroy(kbd_dev);
 		return ret;
@@ -569,10 +569,10 @@
 	    &hid_dev->report, 0, USB_HID_REPORT_TYPE_OUTPUT);
 
-	usb_log_debug("Output report size (in items): %zu\n",
+	usb_log_debug("Output report size (in items): %zu",
 	    kbd_dev->led_output_size);
 
 	kbd_dev->led_data = calloc(kbd_dev->led_output_size, sizeof(int32_t));
 	if (kbd_dev->led_data == NULL) {
-		usb_log_error("Error creating buffer for LED output report.\n");
+		usb_log_error("Error creating buffer for LED output report.");
 		usb_kbd_destroy(kbd_dev);
 		return ENOMEM;
@@ -588,5 +588,5 @@
 
 	kbd_dev->initialized = USB_KBD_STATUS_INITIALIZED;
-	usb_log_debug("HID/KBD device structure initialized.\n");
+	usb_log_debug("HID/KBD device structure initialized.");
 
 	return EOK;
@@ -618,5 +618,5 @@
 int usb_kbd_init(usb_hid_dev_t *hid_dev, void **data)
 {
-	usb_log_debug("Initializing HID/KBD structure...\n");
+	usb_log_debug("Initializing HID/KBD structure...");
 
 	if (hid_dev == NULL) {
@@ -627,9 +627,9 @@
 
 	/* Create the exposed function. */
-	usb_log_debug("Creating DDF function %s...\n", HID_KBD_FUN_NAME);
+	usb_log_debug("Creating DDF function %s...", HID_KBD_FUN_NAME);
 	ddf_fun_t *fun = usb_device_ddf_fun_create(hid_dev->usb_dev,
 	    fun_exposed, HID_KBD_FUN_NAME);
 	if (fun == NULL) {
-		usb_log_error("Could not create DDF function node.\n");
+		usb_log_error("Could not create DDF function node.");
 		return ENOMEM;
 	}
@@ -637,5 +637,5 @@
 	usb_kbd_t *kbd_dev = ddf_fun_data_alloc(fun, sizeof(usb_kbd_t));
 	if (kbd_dev == NULL) {
-		usb_log_error("Failed to allocate KBD device structure.\n");
+		usb_log_error("Failed to allocate KBD device structure.");
 		ddf_fun_destroy(fun);
 		return ENOMEM;
@@ -644,5 +644,5 @@
 	int ret = kbd_dev_init(kbd_dev, hid_dev);
 	if (ret != EOK) {
-		usb_log_error("Failed to initialize KBD device  structure.\n");
+		usb_log_error("Failed to initialize KBD device  structure.");
 		ddf_fun_destroy(fun);
 		return ret;
@@ -655,5 +655,5 @@
 	ret = ddf_fun_bind(fun);
 	if (ret != EOK) {
-		usb_log_error("Could not bind DDF function: %s.\n",
+		usb_log_error("Could not bind DDF function: %s.",
 		    str_error(ret));
 		usb_kbd_destroy(kbd_dev);
@@ -662,8 +662,8 @@
 	}
 
-	usb_log_debug("%s function created. Handle: %" PRIun "\n",
+	usb_log_debug("%s function created. Handle: %" PRIun "",
 	    HID_KBD_FUN_NAME, ddf_fun_get_handle(fun));
 
-	usb_log_debug("Adding DDF function to category %s...\n",
+	usb_log_debug("Adding DDF function to category %s...",
 	    HID_KBD_CATEGORY_NAME);
 	ret = ddf_fun_add_to_category(fun, HID_KBD_CATEGORY_NAME);
@@ -753,8 +753,8 @@
 	if (kbd_dev->fun) {
 		if (ddf_fun_unbind(kbd_dev->fun) != EOK) {
-			usb_log_warning("Failed to unbind %s.\n",
+			usb_log_warning("Failed to unbind %s.",
 			    ddf_fun_get_name(kbd_dev->fun));
 		} else {
-			usb_log_debug2("%s unbound.\n",
+			usb_log_debug2("%s unbound.",
 			    ddf_fun_get_name(kbd_dev->fun));
 			ddf_fun_destroy(kbd_dev->fun);
@@ -784,5 +784,5 @@
 
 	if (rc != EOK) {
-		usb_log_error("Failed to parse boot report descriptor: %s\n",
+		usb_log_error("Failed to parse boot report descriptor: %s",
 		    str_error(rc));
 		return rc;
